Security Only Update for .NET Framework 3.0 SP2, 4.5.2, 4.6 for Windows Server 2008 SP2 (KB4507414)

Applies to: .NET Framework

Summary


A remote code execution vulnerability exists in .NET software when the software fails to check the source markup of a file. An Authentication Bypass vulnerability exists in WCF and WIF, allowing signing of SAML tokens with arbitrary symmetric keys. This vulnerability allows an attacker to impersonate another user. The vulnerability exists in WCF, WIF 3.5 and above in .NET Framework, WIF 1.0 component in Windows, WIF Nuget package, and WIF implementation in Sharepoint. An information disclosure vulnerability exists when Exchange and Azure Active Directory allow creation of entities with Display Names having non-printable characters.

To learn more about the vulnerabilities, go to the following Common Vulnerabilities and Exposures (CVE).

Important

  • All updates for .NET Framework 4.6 for Windows Server 2008 Service Pack 2 (SP2) require that the d3dcompiler_47.dll update is installed. We recommend that you install the included d3dcompiler_47.dll update before you apply this update. For more information about the d3dcompiler_47.dll, see KB 4019990.
  • If you install a language pack after you install this update, you must reinstall this update. Therefore, we recommend that you install any language packs that you need before you install this update. For more information, see Add language packs to Windows.

Additional information about this update


The following articles contain additional information about this update as it relates to individual product versions.
 
  • 4506975 Description of the Security Only Update for .NET Framework 3.0 SP2 for Windows Server 2008 SP2 (KB4506975)
  • 4506966 Description of the Security Only Update for .NET Framework 4.5.2 for Windows Server 2008 SP2 (KB4506966)
  • 4506963 Description of the Security Only Update for .NET Framework 4.6 for Windows Server 2008 SP2 (KB4506963)

Information about protection and security